Lumaktaw sa nilalaman

Video Background Removal

I-integrate

ID ng modelo veed/video-background-removal
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/veed/video-background-removal?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Mga file na katulad ng halimbawa: $0.225 225 kredito ng API sinusukat ang iyong mga file bago patakbuhin Patakbuhin ito sa page na ito

Kumuha ng API key

Tinatanggal ang background sa video nang walang green screen, para sa mga tao o iba pang subject

VEED · video

Dito mapupunta ang iyong unang resulta

Bumuo ng kahilingan sa ibaba at patakbuhin ito gamit ang iyong API key. Kinokopya ang mga output sa aming storage, na pinananatili nang walang hanggan o 7 araw nang libre.

Bumuo ng kahilingan

Ang mga control ay binubuo mula sa schema ng modelo. Nagbabago ang code at presyo habang ina-adjust mo ang mga ito.

•kinakailangan video_url
Mag-drop ng file, o
advanced output_codec · subject_is_person
output_codec default na vp9

Pagpili ng video codec: inirerekomenda ang H264 para sa mas mahusay na RGB quality at gumagawa ito ng magkahiwalay na rgb at alpha video. Sa halip, pinagsasama ng VP9 ang color at alpha channel sa isang video.

POST /run/veed/video-background-removal?wait=20 presyo → $0.225
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/veed/video-background-removal?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Patakbuhin ang kahilingang ito

Nananatili ang iyong key sa browser na ito: ipinapadala lamang ito sa Doitong API at sine-save (localStorage) lamang kung pipiliin mo ang Tandaan. Kumuha ng API key

Tungkol sa Video Background Removal

Inihihiwalay ang subject sa `video_url` at naglalabas ng alinman sa isang VP9 video na may alpha channel o magkahiwalay na RGB at alpha H264 video, ayon sa `output_codec`. Pinapahusay ng `refine_foreground_edges` ang mga gilid, at maaaring i-off ang `subject_is_person` para sa mga subject na hindi tao. Ito ang standard na variant.

Mga parameter

Ipadala ang canonical na pangalan o ang native na pangalan, hindi pareho. Mga canonical na pangalan

PangalanUri defaultPinapayagan Paglalarawan
video_urlkinakailangan video
Uriurl · video
≤ 2,083 character
output_codecopsyonal
Urienum
defaultvp9
vp9h264
Pagpili ng video codec: inirerekomenda ang H264 para sa mas mahusay na RGB quality at gumagawa ito ng magkahiwalay na rgb at alpha video. Sa halip, pinagsasama ng VP9 ang color at alpha channel sa isang video.
refine_foreground_edgesopsyonal
Uriboolean
defaulttrue
Pagpino ng edge para mapahusay ang kalidad ng hangganan ng na-extract na object.
subject_is_personopsyonal
Uriboolean
defaulttrue
Setting para sa person subject; gamitin ang False para sa subject na hindi tao.
kinakailangan Canonical na pangalan, tinatanggap din

Tumatanggap ang mga parameter ng file ng pampublikong https:// URL, data: URI na hanggang 10 MB, o file_url ng isang upload. Mga file

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "veed/video-background-removal",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 225,
    "usd": "0.225",
    "charged": 225,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
        "content_type": "video/mp4",
        "file_name": "0-output.mp4",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Ikaw ang pumipili para sa iyong mga fileAng bawat outputs[].url ay kopya sa aming storage: pinananatili nang walang hanggan (sinisingil bawat GB-month) o 7 araw nang libre, ayon sa setting ng iyong account o ?storage=.
Parehong shape sa bawat modelotype, url, content_type, width, height at duration, para sa mga larawan, video at audio. Ang output ay sariling result object ng modelo.
Mga field ng output
video
array of object {url, content_type, file_name, file_size}

Higit pang modelo: Pag-aalis ng Background

Para sa mga AI agent: nasa Markdown ang pahinang ito sa https://doitong.com/fil/developers/models/veed/video-background-removal.md. Lahat ng modelo at gabay: https://doitong.com/developers/llms.txt